function IdGenerator(prefix) {
  this._counter = 0;
  this._prefix = (prefix ? prefix + "-" : "") + Math.floor(Math.random() * 1e9) + "-";
}
IdGenerator.prototype.next = function() {
  return this._prefix + ++this._counter;
};
export {
  IdGenerator as default
};
